{
	// 使用 IntelliSense 了解相关属性。 
	// 悬停以查看现有属性的描述。
	// 欲了解更多信息，请访问: https://go.microsoft.com/fwlink/?linkid=830387
	"version": "0.2.0",
	"configurations": [
		{
			"name": "python",
			"type": "debugpy",
			"request": "launch",
			"program": "${file}",
			"console": "integratedTerminal",
			"cwd": "${fileDirname}",
			"env": {"PYTHONPATH":"${workspaceFolder};${env:PYTHONPATH}"},
			"envFile": "${workspaceFolder}/.env",
			// "args": ["--inputs", "sample_data/600916_中国黄金_2022年报_利润表", "--threshold", "0.2",  "--output_dir", "sample_data/output"],
			"justMyCode": false
		},
		{
			"name": "ocr_validator",
			"type": "debugpy",
			"request": "launch",
			// "program": "${file}",
			"module": "streamlit",
			"console": "integratedTerminal",
			"cwd": "${workspaceFolder}/ocr_validator",
			"env": {
				"PYTHONPATH": "${workspaceFolder};${env:PYTHONPATH}"
			},
			"envFile": "${workspaceFolder}/.env",
			"args": [
				"run",
				"streamlit_ocr_validator.py",
				"--theme.base=light"
			],
			"justMyCode": false
		},
		{
			"name": "table_line_generator_backend",
			"type": "debugpy",
			"request": "launch",
			// "program": "${file}",
			"module": "uvicorn",
			"console": "integratedTerminal",
			"cwd": "${workspaceFolder}/table_line_generator/backend",
			"env": {
				"PYTHONPATH": "${workspaceFolder};${env:PYTHONPATH}"
			},
			"envFile": "${workspaceFolder}/.env",
			"jinja": true,
			"args": [
				"main:app",
				"--reload",
				"--host",
				"0.0.0.0",
				"--port",
				"8000"
			],
			"justMyCode": false
		},
		{
			"name": "table_line_generator_frontend",
			"type": "pwa-chrome",
			"request": "launch",
			"url": "http://localhost:5173",
			"webRoot": "${workspaceFolder}/table_line_generator/frontend",
			"sourceMaps": true,
			"runtimeArgs": [
				"--disable-extensions"
			],
			"sourceMapPathOverrides": {
				"webpack:///src/*": "${workspaceFolder}/table_line_generator/frontend/src/*"
			}
		},
		{
			"name": "table_line_generator_fullstack",
			"type": "node",
			"request": "launch",
			"preLaunchTask": "table_line_generator_BothServers",
			"compounds": [
				{
					"name": "Full Stack",
					"configurations": [
						"table_line_generator_backend",
						"table_line_generator_frontend"
					]
				}
			]
		}
	]
}